From 504cf3cfb84c7df1e59544793113288add4ba36a Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Oct 31 2020 23:09:18 +0000
Subject: [PATCH 1108/2232] Fix unqualified strncpy call


---

diff --git a/src/cxx.cc b/src/cxx.cc
index 96a1861..d18bec9 100644
--- a/src/cxx.cc
+++ b/src/cxx.cc
@@ -167,7 +167,7 @@ std::ostream &operator<<(std::ostream &os, const Str &s) {
 extern "C" {
 const char *cxxbridge05$error(const char *ptr, size_t len) {
   char *copy = new char[len];
-  strncpy(copy, ptr, len);
+  std::strncpy(copy, ptr, len);
   return copy;
 }
 } // extern "C"

